Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(87)

Side by Side Diff: platform_tools/barelinux/bin/download_deps

Issue 753633002: Simplfy DEPS: always pull all deps, remove unused barelinux platform. (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 6 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« DEPS ('K') | « platform_tools/barelinux/bin/barelinux_make ('k') | no next file » | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
(Empty)
1 #!/bin/sh
2
3 # Copyright 2014 Google Inc.
4 #
5 # Use of this source code is governed by a BSD-style license that can be
6 # found in the LICENSE file.
7
8 # download_deps - download Skia's dependencies for a bare Linux system
9 # (the normal dependecies plus giflib, libpng, and zlib.)
10
11 try() {
12 # print an error on nonzero return code
13 "$@"
14 local ret=$?
15 if [ $ret != 0 ] ; then
16 echo "'$@' failed and returned ${ret}." >&2
17 return $ret
18 fi
19 }
20
21 try command -v gclient > /dev/null || exit
22 cd "$(dirname "$0")/../../.."
23
24 try gclient config --unmanaged --name . \
25 'https://skia.googlesource.com/skia.git' || exit
26
27 echo 'target_os = ["barelinux"]' >> ./.gclient
28
29 try gclient sync --jobs=1 || exit
OLDNEW
« DEPS ('K') | « platform_tools/barelinux/bin/barelinux_make ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698